# draugr.python_utilities.function_wrappers

Created on 12-05-2021

Functions

`min_interval_wrapper`(f[, min_interval]) | to ensure that a function is now being called more often than max_freq, TODO: use proper naming for the interval :param f: :param min_interval: :return:
`min_interval_wrapper_global`(f[, min_interval]) | to ensure that a function is now being called more often than max_freq, TODO: use proper naming for the interval :param f: :param min_interval: :return:
`max_frequency`(key[, min_interval, verbose]) | initially returns recallable func later bools :param key: :type key: :param verbose: :type verbose: :param min_interval: :return:

`wrap_args`(n_tuple)

param n_tuple